## wireguard 1.0.20200319

=== src/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Copyright (C) 2015-2020 Jason A. Donenfeld <Jason@zx2c4.com>. All Rights Reserved.

PKG_CONFIG ?= pkg-config
PREFIX ?= /usr
DESTDIR ?=
SYSCONFDIR ?= /etc
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man
BASHCOMPDIR ?= $(PREFIX)/share/bash-completion/completions
SYSTEMDUNITDIR ?= $(shell $(PKG_CONFIG) --variable=systemdsystemunitdir systemd 2>/dev/null || echo "$(PREFIX)/lib/systemd/system")
RUNSTATEDIR ?= /var/run
WITH_BASHCOMPLETION ?=
WITH_WGQUICK ?=
WITH_SYSTEMDUNITS ?=

ifeq ($(WITH_BASHCOMPLETION),)
ifneq ($(strip $(wildcard $(BASHCOMPDIR))),)
WITH_BASHCOMPLETION := yes
endif
endif
ifeq ($(WITH_WGQUICK),)
ifneq ($(strip $(wildcard $(BINDIR)/bash)),)
WITH_WGQUICK := yes
endif
ifneq ($(strip $(wildcard $(DESTDIR)/bin/bash)),)
WITH_WGQUICK := yes
endif
endif
ifeq ($(WITH_SYSTEMDUNITS),)
ifneq ($(strip $(wildcard $(SYSTEMDUNITDIR))),)
WITH_SYSTEMDUNITS := yes
endif
endif

PLATFORM ?= $(shell uname -s | tr '[:upper:]' '[:lower:]')

CFLAGS ?= -O3
CFLAGS += -idirafter uapi
CFLAGS += -std=gnu99 -D_GNU_SOURCE
CFLAGS += -Wall -Wextra
CFLAGS += -MMD -MP
CFLAGS += -DRUNSTATEDIR="\"$(RUNSTATEDIR)\""
ifeq ($(DEBUG),yes)
CFLAGS += -g
endif
WIREGUARD_TOOLS_VERSION = $(patsubst v%,%,$(shell GIT_CEILING_DIRECTORIES="$(PWD)/../.." git describe --dirty 2>/dev/null))
ifneq ($(WIREGUARD_TOOLS_VERSION),)
CFLAGS += -D'WIREGUARD_TOOLS_VERSION="$(WIREGUARD_TOOLS_VERSION)"'
endif
ifeq ($(PLATFORM),haiku)
LDLIBS += -lnetwork -lbsd
endif
ifeq ($(PLATFORM),windows)
CC := x86_64-w64-mingw32-gcc
CFLAGS += -Iwincompat/include -include wincompat/compat.h
LDLIBS += -lws2_32
wg: wincompat/libc.o wincompat/init.o
endif

ifneq ($(V),1)
BUILT_IN_LINK.o := $(LINK.o)
LINK.o = @echo "  LD      $@";
LINK.o += $(BUILT_IN_LINK.o)
BUILT_IN_COMPILE.c := $(COMPILE.c)
COMPILE.c = @echo "  CC      $@";
COMPILE.c += $(BUILT_IN_COMPILE.c)
endif

wg: $(sort $(patsubst %.c,%.o,$(wildcard *.c)))

ifneq ($(V),1)
clean:
	@echo "  CLEAN   {wg,*.o,*.d}"
	@$(RM) wg *.o *.d
else
clean:
	$(RM) wg *.o *.d
endif

install: wg
	@install -v -d "$(DESTDIR)$(BINDIR)" && install -v -m 0755 wg "$(DESTDIR)$(BINDIR)/wg"
	@install -v -d "$(DESTDIR)$(MANDIR)/man8" && install -v -m 0644 man/wg.8 "$(DESTDIR)$(MANDIR)/man8/wg.8"
	@[ "$(WITH_BASHCOMPLETION)" = "yes" ] || exit 0; \
	install -v -d "$(DESTDIR)$(BASHCOMPDIR)" && install -v -m 0644 completion/wg.bash-completion "$(DESTDIR)$(BASHCOMPDIR)/wg"
	@[ "$(WITH_WGQUICK)" = "yes" ] || exit 0; \
	install -v -m 0755 wg-quick/$(PLATFORM).bash "$(DESTDIR)$(BINDIR)/wg-quick" && install -v -m 0700 -d "$(DESTDIR)$(SYSCONFDIR)/wireguard"
	@[ "$(WITH_WGQUICK)" = "yes" ] || exit 0; \
	install -v -m 0644 man/wg-quick.8 "$(DESTDIR)$(MANDIR)/man8/wg-quick.8"
	@[ "$(WITH_WGQUICK)" = "yes" -a "$(WITH_BASHCOMPLETION)" = "yes" ] || exit 0; \
	install -v -m 0644 completion/wg-quick.bash-completion "$(DESTDIR)$(BASHCOMPDIR)/wg-quick"
	@[ "$(WITH_WGQUICK)" = "yes" -a "$(WITH_SYSTEMDUNITS)" = "yes" ] || exit 0; \
	install -v -d "$(DESTDIR)$(SYSTEMDUNITDIR)" && install -v -m 0644 systemd/wg-quick@.service "$(DESTDIR)$(SYSTEMDUNITDIR)/wg-quick@.service"

check: clean
	scan-build --html-title=wireguard-tools -maxloop 100 --view --keep-going $(MAKE) wg

all: wg
.DEFAULT_GOAL: all
.PHONY: clean install check

-include *.d

=== debian/changelog ===
wireguard (1.0.20200319-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Apr 2020 18:16:40 -0700

wireguard (1.0.20200319-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * d/watch: Update to find new releases.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Mar 2020 21:30:26 -0400

=== debian/control ===
Source: wireguard
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper-compat (= 12),
 dkms,
 pkg-config,
 systemd,
Standards-Version: 4.5.0
Homepage: https://www.wireguard.com
Vcs-Git: https://salsa.debian.org/debian/wireguard.git
Vcs-Browser: https://salsa.debian.org/debian/wireguard
Rules-Requires-Root: no

Package: wireguard
Architecture: all
Depends:
 wireguard-dkms (>= 0.0.20200121-2) | wireguard-modules (>= 0.0.20191219),
 wireguard-tools (>= ${source:Version}),
 ${misc:Depends},
Description: fast, modern, secure kernel VPN tunnel (metapackage)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This metapackage explicitly depends on both the kernel module and the
 userspace tooling.

Package: wireguard-tools
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 nftables | iptables,
 wireguard-dkms (>= 0.0.20191219) | wireguard-modules (>= 0.0.20171001),
Description: fast, modern, secure kernel VPN tunnel (userland utilities)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This package contains command-line tools to interact with the
 WireGuard kernel module.  Currently, it provides only a single tool:
 .
 wg: set and retrieve configuration of WireGuard interfaces

## wireguard 1.0.20200513

=== src/Makefile ===
--- 
+++ 
@@ -38,7 +38,9 @@
 PLATFORM ?= $(shell uname -s | tr '[:upper:]' '[:lower:]')
 
 CFLAGS ?= -O3
-CFLAGS += -idirafter uapi
+ifneq ($(wildcard uapi/$(PLATFORM)/.),)
+CFLAGS += -idirafter uapi/$(PLATFORM)
+endif
 CFLAGS += -std=gnu99 -D_GNU_SOURCE
 CFLAGS += -Wall -Wextra
 CFLAGS += -MMD -MP
@@ -67,18 +69,14 @@
 BUILT_IN_COMPILE.c := $(COMPILE.c)
 COMPILE.c = @echo "  CC      $@";
 COMPILE.c += $(BUILT_IN_COMPILE.c)
+BUILT_IN_RM := $(RM)
+RM := @a() { echo "  CLEAN   $$@"; $(BUILT_IN_RM) "$$@"; }; a
 endif
 
 wg: $(sort $(patsubst %.c,%.o,$(wildcard *.c)))
 
-ifneq ($(V),1)
-clean:
-	@echo "  CLEAN   {wg,*.o,*.d}"
-	@$(RM) wg *.o *.d
-else
 clean:
 	$(RM) wg *.o *.d
-endif
 
 install: wg
 	@install -v -d "$(DESTDIR)$(BINDIR)" && install -v -m 0755 wg "$(DESTDIR)$(BINDIR)/wg"
@@ -92,7 +90,7 @@
 	@[ "$(WITH_WGQUICK)" = "yes" -a "$(WITH_BASHCOMPLETION)" = "yes" ] || exit 0; \
 	install -v -m 0644 completion/wg-quick.bash-completion "$(DESTDIR)$(BASHCOMPDIR)/wg-quick"
 	@[ "$(WITH_WGQUICK)" = "yes" -a "$(WITH_SYSTEMDUNITS)" = "yes" ] || exit 0; \
-	install -v -d "$(DESTDIR)$(SYSTEMDUNITDIR)" && install -v -m 0644 systemd/wg-quick@.service "$(DESTDIR)$(SYSTEMDUNITDIR)/wg-quick@.service"
+	install -v -d "$(DESTDIR)$(SYSTEMDUNITDIR)" && install -v -m 0644 systemd/* "$(DESTDIR)$(SYSTEMDUNITDIR)/"
 
 check: clean
 	scan-build --html-title=wireguard-tools -maxloop 100 --view --keep-going $(MAKE) wg

=== debian/changelog ===
wireguard (1.0.20200513-1~20.04.2) focal; urgency=medium

  * Switch alternative dependency order for the wireguard-modules,
    wireguard-dkms alternative.  Whichever is first is deemed the
    preferred installation candidate when neither is present.  When this is
    wireguard-modules this is satisfied by installation of a random kernel
    which claims support for wireguard regardless of its applicability.
    Repeat after me, do not ever depend on a kernel.  (LP: #1890201)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 04 Aug 2020 08:50:04 +0100

wireguard (1.0.20200513-1~20.04.1) focal; urgency=medium

  * Backport latest upstream packages to focal. (LP: #1870293)

 -- Andy Whitcroft <apw@canonical.com>  Sun, 17 May 2020 17:38:24 +0100

wireguard (1.0.20200513-1) unstable; urgency=medium

  * New upstream release.
    - Drop upstream patch.
  * d/control: Lower 'openresolv | resolvconf' to suggests.

 -- Unit 193 <unit193@debian.org>  Fri, 15 May 2020 18:32:16 -0400

wireguard (1.0.20200510-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Add Unit193 to Uploaders
  * wrap-and-sort -ast
  * prefer wireguard-modules (from a kernel package) over wireguard-dkms
  * keygen test only needs wireguard-tools package, not wireguard metapackage

  [ Jason A. Donenfeld ]
  * debian: tests: replace ncat-client with keygen
  * debian: control: set Recommends order same as Depends order

  [ Unit 193 ]
  * New upstream release.
    - Refresh patch.
    - Grab an upstream commit to install wg-quick.target.
  * d/control:
    - Update my email address.
    - Recommend openresolv | resolvconf. (Closes: #930735)
  * d/copyright: Update attribution.
  * d/wireguard-tools.lintian-overrides: Drop override about .gitignore.

 -- Unit 193 <unit193@debian.org>  Tue, 12 May 2020 01:33:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Uploaders:
+ Unit 193 <unit193@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dkms,
@@ -39,7 +41,8 @@
  ${shlibs:Depends},
 Recommends:
  nftables | iptables,
- wireguard-dkms (>= 0.0.20191219) | wireguard-modules (>= 0.0.20171001),
+ wireguard-modules (>= 0.0.20171001) | wireguard-dkms (>= 0.0.20191219),
+Suggests: openresolv | resolvconf,
 Description: fast, modern, secure kernel VPN tunnel (userland utilities)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses
  state-of-the-art cryptography (the "Noise" protocol). It aims to be

## wireguard 1.0.20200827

=== debian/changelog ===
wireguard (1.0.20200827-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 15 Sep 2020 19:33:53 -0400

wireguard (1.0.20200827-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Wed, 09 Sep 2020 03:47:59 -0400

wireguard (1.0.20200820-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 22 Aug 2020 19:19:51 -0400

wireguard (1.0.20200513-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Unit 193 <unit193@debian.org>  Fri, 22 May 2020 03:11:27 -0400

wireguard (1.0.20200319-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 28 Mar 2020 08:15:04 -0400

wireguard (1.0.20200206-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * prepare Vcs for buster-backports

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 Mar 2020 01:58:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Unit 193 <unit193@debian.org>,
 Build-Depends:
@@ -12,14 +11,14 @@
  systemd,
 Standards-Version: 4.5.0
 Homepage: https://www.wireguard.com
-Vcs-Git: https://salsa.debian.org/debian/wireguard.git
+Vcs-Git: https://salsa.debian.org/debian/wireguard.git -b debian/buster-backports
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
 Rules-Requires-Root: no
 
 Package: wireguard
 Architecture: all
 Depends:
- wireguard-dkms (>= 0.0.20200121-2) | wireguard-modules (>= 0.0.20191219),
+ wireguard-modules (>= 0.0.20191219) | wireguard-dkms (>= 0.0.20200121-2),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)

## wireguard 1.0.20210223

=== src/Makefile ===
--- 
+++ 
@@ -57,9 +57,13 @@
 endif
 ifeq ($(PLATFORM),windows)
 CC := x86_64-w64-mingw32-gcc
-CFLAGS += -Iwincompat/include -include wincompat/compat.h
-LDLIBS += -lws2_32
-wg: wincompat/libc.o wincompat/init.o
+WINDRES := x86_64-w64-mingw32-windres
+CFLAGS += -Iwincompat/include -include wincompat/compat.h -DWINVER=0x0601 -D_WIN32_WINNT=0x0601 -flto
+LDLIBS += -lws2_32 -flto
+VERSION := $(patsubst "%",%,$(filter "%",$(file < version.h)))
+wg: wincompat/libc.o wincompat/init.o wincompat/resources.o
+wincompat/resources.o: wincompat/resources.rc wincompat/manifest.xml
+	$(WINDRES) -DVERSION_STR=$(VERSION) -O coff -c 65001 -i $< -o $@
 endif
 
 ifneq ($(V),1)

=== debian/changelog ===
wireguard (1.0.20210223-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 10 Mar 2021 01:08:14 -0500

wireguard (1.0.20210223-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump dh compat to 13.
    - Drop Build-Depend on dkms.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Thu, 25 Feb 2021 02:02:36 -0500

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders:
  Unit 193 <unit193@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dkms,
+ debhelper-compat (= 13),
  pkg-config,
  systemd,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.wireguard.com
 Vcs-Git: https://salsa.debian.org/debian/wireguard.git -b debian/buster-backports
 Vcs-Browser: https://salsa.debian.org/debian/wireguard

## wireguard 1.0.20210424

=== debian/changelog ===
wireguard (1.0.20210424-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 16 Aug 2021 14:20:40 -0400

wireguard (1.0.20210424-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Fri, 13 Aug 2021 17:36:52 -0400

wireguard (1.0.20210223-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 16 Mar 2021 17:27:19 -0400

wireguard (1.0.20200827-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 30 Sep 2020 18:52:56 -0400

wireguard (1.0.20200820-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for teh wireguard-modules,
      wireguard-dkms alternative.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 26 Aug 2020 10:42:33 +0100

wireguard (1.0.20200513-1ubuntu1) groovy; urgency=medium

  * Switch alternative dependency order for the wireguard-modules,
    wireguard-dkms alternative.  Whichever is first is deemed the
    preferred installation candidate when neither is present.  When this is
    wireguard-modules this is satisfied by installation of a random kernel
    which claims support for wireguard regardless of its applicability.
    Repeat after me, do not ever depend on a kernel.  (LP: #1890201)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 03 Aug 2020 22:24:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Unit 193 <unit193@debian.org>,
 Build-Depends:
@@ -10,14 +11,14 @@
  systemd,
 Standards-Version: 4.5.1
 Homepage: https://www.wireguard.com
-Vcs-Git: https://salsa.debian.org/debian/wireguard.git -b debian/buster-backports
+Vcs-Git: https://salsa.debian.org/debian/wireguard.git
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
 Rules-Requires-Root: no
 
 Package: wireguard
 Architecture: all
 Depends:
- wireguard-modules (>= 0.0.20191219) | wireguard-dkms (>= 0.0.20200121-2),
+ wireguard-dkms (>= 0.0.20200121-2) | wireguard-modules (>= 0.0.20191219),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)

## wireguard 1.0.20210914

=== src/Makefile ===
--- 
+++ 
@@ -48,20 +48,27 @@
 ifeq ($(DEBUG),yes)
 CFLAGS += -g
 endif
-WIREGUARD_TOOLS_VERSION = $(patsubst v%,%,$(shell GIT_CEILING_DIRECTORIES="$(PWD)/../.." git describe --dirty 2>/dev/null))
+WIREGUARD_TOOLS_VERSION = $(patsubst v%,%,$(shell GIT_DIR="$(PWD)/../.git" git describe --dirty 2>/dev/null))
 ifneq ($(WIREGUARD_TOOLS_VERSION),)
 CFLAGS += -D'WIREGUARD_TOOLS_VERSION="$(WIREGUARD_TOOLS_VERSION)"'
+endif
+ifeq ($(PLATFORM),freebsd)
+LDLIBS += -lnv
 endif
 ifeq ($(PLATFORM),haiku)
 LDLIBS += -lnetwork -lbsd
 endif
 ifeq ($(PLATFORM),windows)
-CC := x86_64-w64-mingw32-gcc
-WINDRES := x86_64-w64-mingw32-windres
+CC := x86_64-w64-mingw32-clang
+WINDRES := $(shell $(CC) $(CFLAGS) -print-prog-name=windres 2>/dev/null)
 CFLAGS += -Iwincompat/include -include wincompat/compat.h -DWINVER=0x0601 -D_WIN32_WINNT=0x0601 -flto
-LDLIBS += -lws2_32 -flto
+LDLIBS += -lws2_32 -lsetupapi -lole32 -ladvapi32 -Lwincompat
+LDFLAGS += -flto -Wl,--dynamicbase -Wl,--nxcompat -Wl,--tsaware -mconsole
+LDFLAGS += -Wl,--major-os-version=6 -Wl,--minor-os-version=1 -Wl,--major-subsystem-version=6 -Wl,--minor-subsystem-version=1
+# The use of -Wl,/delayload: here implies we're using llvm-mingw
+LDFLAGS += -Wl,/delayload:ws2_32.dll -Wl,/delayload:setupapi.dll -Wl,/delayload:ole32.dll -Wl,/delayload:advapi32.dll
 VERSION := $(patsubst "%",%,$(filter "%",$(file < version.h)))
-wg: wincompat/libc.o wincompat/init.o wincompat/resources.o
+wg: wincompat/libc.o wincompat/init.o wincompat/loader.o wincompat/resources.o
 wincompat/resources.o: wincompat/resources.rc wincompat/manifest.xml
 	$(WINDRES) -DVERSION_STR=$(VERSION) -O coff -c 65001 -i $< -o $@
 endif
@@ -75,12 +82,13 @@
 COMPILE.c += $(BUILT_IN_COMPILE.c)
 BUILT_IN_RM := $(RM)
 RM := @a() { echo "  CLEAN   $$@"; $(BUILT_IN_RM) "$$@"; }; a
+WINDRES := @a() { echo "  WINDRES $${@: -1}"; $(WINDRES) "$$@"; }; a
 endif
 
 wg: $(sort $(patsubst %.c,%.o,$(wildcard *.c)))
 
 clean:
-	$(RM) wg *.o *.d
+	$(RM) wg *.o *.d $(wildcard wincompat/*.o wincompat/*.lib wincompat/*.dll)
 
 install: wg
 	@install -v -d "$(DESTDIR)$(BINDIR)" && install -v -m 0755 wg "$(DESTDIR)$(BINDIR)/wg"

=== debian/changelog ===
wireguard (1.0.20210914-3ubuntu2) questing; urgency=medium

  * Upstream fix to handle resolvconf migration more gracefully (LP: #2119260):
    - d/p/0005-wg-quick-linux-deal-with-resolvconf-migration-more-g.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 19 Aug 2025 15:51:59 +0200

wireguard (1.0.20210914-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110425). Remaining changes:
    - Drop depends on wireguard-modules (always built-in), wireguard-dkms
      (removed from the archive). This makes wireguard package sort of
      redundant. LP #2008086
    - Cherry-pick upstream fixups from master:
      + d/p/0001-embeddable-wg-library-add-named-wg_endpoint-union.patch
      + d/p/0001-reresolve-dns-use-EPOCHSECONDS-instead-of-date-s.patch
      + d/p/0001-wg-quick-linux-prevent-traffic-from-momentarily-leak.patch
      + d/p/0001-show-apply-const-to-right-part-of-pointer.patch
  * Drop Changes:
    - Add better DEP8 tests (LP: 1952102)
      + d/t/control, d/t/wireguard-wgquick: test using network namespaces
        and wg-quick
      + d/t/netns-mini, d/t/control: test using network namespaces
        and wg, taken from the wireguard-linux-compat package
      [applied in Debian, 1.0.20210914-2]
    - d/rules: add simple build-time test, taken from the existing
      DEP8 test to generate keys (LP: 1952767)
      [applied in Debian, 1.0.20210914-2]
    - Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
      glibc-2.25 has been around since forever.
      [applied (dropped) in Debian, 1.0.20210914-2]

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 13 Aug 2025 11:42:16 +0200

wireguard (1.0.20210914-3) unstable; urgency=medium

  * d/wireguard-tools.lintian-overrides: Refresh overrides.
  * d/t/control:
    - Use skip-not-installable to skip tests on arches lacking a kernel.
      Closes: #1102292

 -- Unit 193 <unit193@debian.org>  Thu, 10 Apr 2025 02:10:05 -0400

wireguard (1.0.20210914-2) unstable; urgency=medium

  [ Andreas Hasenack / Lukas Märdian ]
  * Add a simple keygen test, run at build-time and as DEP8.
  * Add new wg-quick DEP8 test
  * Add new netns-mini DEP8 test
  * debian: Add salsa-ci.yml

  [ Unit 193 ]
  * d/rules, d/p/0001-Avoid-using-git-during-build.patch:
    - Set WIREGUARD_TOOLS_VERSION during build, dropping patch.
  * d/p/0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch:
    - Drop patch no longer needed.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Apr 2025 03:07:24 -0400

wireguard (1.0.20210914-1.1ubuntu2) plucky; urgency=medium

  * d/t/control: make wg-quick test depend on iputils-ping
  * d/t/control: run wg-quick test in container
  * d/t/control: run netns-mini test in container
  * d/rules: move build-time-test.sh to separate file

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 Jan 2025 09:55:16 +0100

wireguard (1.0.20210914-1.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064481). Remaining changes:
    - Add better DEP8 tests (LP #1952102):
      + d/t/control, d/t/wireguard-wgquick: test using network namespaces
        and wg-quick
      + d/t/netns-mini, d/t/control: test using network namespaces
        and wg, taken from the wireguard-linux-compat package
    - d/rules: add simple build-time test, taken from the existing
      DEP8 test to generate keys (LP #1952767)
    - Drop depends on wireguard-modules (always built-in), wireguard-dkms
      (removed from the archive). This makes wireguard package sort of
      redundant. LP #2008086
    - Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
      glibc-2.25 has been around since forever.
    - Cherry-pick upstream fixups from master.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 13 Aug 2024 14:32:47 -0300

wireguard (1.0.20210914-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on systemd-dev instead of systemd (Closes: #1060572)
  * Switch to pkgconf

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 May 2024 16:12:29 +0100

wireguard (1.0.20210914-1ubuntu4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:22:11 +0200

wireguard (1.0.20210914-1ubuntu3) lunar; urgency=medium

  * Drop depends on wireguard-modules (always built-in), wireguard-dkms
    (removed from the archive). This makes wireguard package sort of
    redundant. LP: #2008086
  * Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
    glibc-2.25 has been around since forever.
  * Cherry-pick upstream fixups from master.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 22 Feb 2023 12:35:51 +0000

wireguard (1.0.20210914-1ubuntu2) jammy; urgency=medium

  * Add better DEP8 tests (LP: #1952102):
    - d/t/control, d/t/wireguard-wgquick: test using network namespaces
      and wg-quick
    - d/t/netns-mini, d/t/control: test using network namespaces
      and wg, taken from the wireguard-linux-compat package
  * d/rules: add simple build-time test, taken from the existing
    DEP8 test to generate keys (LP: #1952767)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 07 Dec 2021 08:33:57 -0300

wireguard (1.0.20210914-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Nov 2021 11:41:45 -0500

wireguard (1.0.20210914-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Mon, 27 Sep 2021 21:21:06 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Unit 193 <unit193@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
- systemd,
-Standards-Version: 4.5.1
+ pkgconf,
+ systemd-dev,
+Standards-Version: 4.7.2
 Homepage: https://www.wireguard.com
 Vcs-Git: https://salsa.debian.org/debian/wireguard.git
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
@@ -18,7 +18,6 @@
 Package: wireguard
 Architecture: all
 Depends:
- wireguard-dkms (>= 0.0.20200121-2) | wireguard-modules (>= 0.0.20191219),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)
@@ -40,7 +39,6 @@
  ${shlibs:Depends},
 Recommends:
  nftables | iptables,
- wireguard-modules (>= 0.0.20171001) | wireguard-dkms (>= 0.0.20191219),
 Suggests: openresolv | resolvconf,
 Description: fast, modern, secure kernel VPN tunnel (userland utilities)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

WIREGUARD_ARGS = WIREGUARD_TOOLS_VERSION=$(DEB_VERSION_UPSTREAM) WITH_BASHCOMPLETION=yes WITH_WGQUICK=yes WITH_SYSTEMDUNITS=yes V=1

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build --sourcedirectory=src -- $(WIREGUARD_ARGS)

override_dh_auto_install-arch:
	$(MAKE) -C src DESTDIR=../debian/wireguard-tools $(WIREGUARD_ARGS) install

override_dh_fixperms:
	dh_fixperms -Xetc/wireguard

override_dh_installexamples:
	dh_installexamples -Xexternal-tests

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/build-time-test.sh
endif

=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
 https://git.zx2c4.com/wireguard-tools \
 refs/tags/v?([\d\.]+)

## wireguard 1.0.20250521

=== src/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 CFLAGS ?= -O3
 ifneq ($(wildcard uapi/$(PLATFORM)/.),)
-CFLAGS += -idirafter uapi/$(PLATFORM)
+CFLAGS += -isystem uapi/$(PLATFORM)
 endif
 CFLAGS += -std=gnu99 -D_GNU_SOURCE
 CFLAGS += -Wall -Wextra
@@ -62,7 +62,7 @@
 CC := x86_64-w64-mingw32-clang
 WINDRES := $(shell $(CC) $(CFLAGS) -print-prog-name=windres 2>/dev/null)
 CFLAGS += -Iwincompat/include -include wincompat/compat.h -DWINVER=0x0601 -D_WIN32_WINNT=0x0601 -flto
-LDLIBS += -lws2_32 -lsetupapi -lole32 -ladvapi32 -Lwincompat
+LDLIBS += -lws2_32 -lsetupapi -lole32 -ladvapi32 -lntdll -Lwincompat
 LDFLAGS += -flto -Wl,--dynamicbase -Wl,--nxcompat -Wl,--tsaware -mconsole
 LDFLAGS += -Wl,--major-os-version=6 -Wl,--minor-os-version=1 -Wl,--major-subsystem-version=6 -Wl,--minor-subsystem-version=1
 # The use of -Wl,/delayload: here implies we're using llvm-mingw

=== debian/changelog ===
wireguard (1.0.20250521-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 25 Aug 2025 20:38:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Unit 193 <unit193@debian.org>,
 Build-Depends:
@@ -18,6 +17,7 @@
 Package: wireguard
 Architecture: all
 Depends:
+ wireguard-modules (>= 0.0.20191219) | wireguard-dkms (>= 0.0.20200121-2),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)
@@ -39,6 +39,7 @@
  ${shlibs:Depends},
 Recommends:
  nftables | iptables,
+ wireguard-modules (>= 0.0.20171001) | wireguard-dkms (>= 0.0.20191219),
 Suggests: openresolv | resolvconf,
 Description: fast, modern, secure kernel VPN tunnel (userland utilities)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses

=== debian/tests/control ===
Tests: keygen
Restrictions: superficial
Depends:
 wireguard-tools,

Tests: wg-quick
Restrictions: needs-root, isolation-container, allow-stderr, skip-not-installable
Depends:
 iproute2,
 iputils-ping,
 @,

Tests: netns-mini
Restrictions: needs-root, isolation-container, skip-not-installable
Depends:
 iproute2,
 iputils-ping,
 @,
